;;; -*- Mode:LISP; Package:TIGER; Base:8; Fonts:(CPTFONT TR12I); Readtable:T -*-

(defmacro tiger-eval-at-macro-time (exp)
  (list 'quote (eval exp)))

(special part-1-array part-2-array
	 scale-2-array scale-3-array scale-4-array)

(defun dumped-arrays-doit ()
  (setq scale-2-array (tiger-eval-at-macro-time (fill-scale-array (make-array 4096.) 2)))
  (setq scale-3-array (tiger-eval-at-macro-time (fill-scale-array (make-array 256.) 3)))
  (setq scale-4-array (tiger-eval-at-macro-time (fill-scale-array (make-array 64.) 4)))
  
  (setq part-1-array (tiger-eval-at-macro-time (fill-part-array (make-array 65536. :type 'art-8b)
								1)))
  
  (setq part-2-array (tiger-eval-at-macro-time (fill-part-array (make-array 65536. :type 'art-8b)
								0))))


(dumped-arrays-doit)

